module Freshdesk
  class Tickets < Base
    TICKETS_PROPERTIES = [
      :attachments, :cc_emails, :company_id, :custom_fields, :deleted,
      :description, :description_text, :due_by, :email, :email_config_id,
      :facebook_id, :fr_due_by, :fr_escalated, :fwd_emails, :group_id, :id,
      :is_escalated,:name,:phone,:priority,:product_id,:reply_cc_emails,
      :requester_id,:responder_id,:source,:spam,:status,:subject,:tags,
      :to_emails,:twitter_id,:type,:created_at, :updated_at
    ]

    attr_reader *TICKETS_PROPERTIES

    def search(options)
      response = client.get("/search/#{resource_name}?query=\"#{options[:query]}\"",options.except!(:query))
      response.parsed_response["results"].map { |source| self.class.new(source) } if response.success?
    end

  end
end
