require 'httparty'
require 'freshdesk/api/v2/util/request'
require 'freshdesk/api/v2/util/authenticable'

module Freshdesk
  module Util
    class Client
      include HTTParty
      include Authenticable
      include Request

      def initialize(attrs={})
        attrs.each do |key, value|
          instance_variable_set("@#{key}".to_sym, value)
        end
      end

    end
  end
end
